All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::mapped_object::node_info Struct Reference

`#include <mapped_objects.hpp>`

## Public Member Functions

| node_info (mapping_type const *_mapping, scheduler::statement const *_statement, vcl_size_t _root_idx)

## Public Attributes

mapping_type const * | mapping
scheduler::statement const * | statement
vcl_size_t | root_idx

## Detailed Description

Definition at line 87 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::mapped_object::node_info::node_info | ( | mapping_type const * | _mapping,
|  | scheduler::statement const * | _statement,
|  | vcl_size_t | _root_idx
| ) |  |

inline

Definition at line 89 of file mapped_objects.hpp.

## Member Data Documentation

mapping_type const* viennacl::device_specific::mapped_object::node_info::mapping

Definition at line 91 of file mapped_objects.hpp.

vcl_size_t viennacl::device_specific::mapped_object::node_info::root_idx

Definition at line 93 of file mapped_objects.hpp.

scheduler::statement const* viennacl::device_specific::mapped_object::node_info::statement

Definition at line 92 of file mapped_objects.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp